from asyncio import PriorityQueue
from telethon import TelegramClient
import logging
import sqlite3
import coloredlogs
import asyncio
from process_queue import *
from config_priv import *

coloredlogs.install(level='INFO')

client = TelegramClient('bot', api_id, api_hash)

conn = sqlite3.connect('ai621.db', isolation_level=None)
conn.row_factory = sqlite3.Row

client.log_channel_id = log_channel_id
client.main_channel_id = main_channel_id
client.media_lock = asyncio.Lock()

client.admin_id = admin_id

log = logging.getLogger('bot')

send_prompt_lock = asyncio.Lock()

enabled_models = ['Yiffy', 'Furry Epoch', 'Zack3D']

fields_template = {
	'prompt': None,
	'sampler_name': 'k_euler_a',
	'cfg_scale': 5.5,
	'seed': 'random',
	'resolution': '512x512',
	'use_upscaling': False,
	'steps': 50,
	'n': 3,
	'models': 'Yiffy',
	'negative_prompt': None,
	'image': None
}

prompt_template = {
	'prompt': None, # ok
	'params': {
		'sampler_name': 'k_euler_a',
		'toggles': [1, 4],
		'cfg_scale': 5,
		'seed': 'random',
		'height': 512,
		'width': 512,
		'seed_variation': 1,
		'use_upscaling': False,
		'steps': 50,
		'n': 3,
		'models': 'Yiffy'
	}
}
